<?php

declare(strict_types=1);

/*
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace Chill\DocStoreBundle\Tests\Entity;

use Chill\DocStoreBundle\Entity\StoredObject;
use Symfony\Bundle\FrameworkBundle\Test\KernelTestCase;

/**
 * @internal
 *
 * @coversNothing
 */
class StoredObjectTest extends KernelTestCase
{
    public function testSaveHistory(): void
    {
        $storedObject = new StoredObject();
        $storedObject
            ->setFilename('test_0')
            ->setIv([2, 4, 6, 8])
            ->setKeyInfos(['key' => ['data0' => 'data0']])
            ->setType('text/html');

        $storedObject->saveHistory();

        $storedObject
            ->setFilename('test_1')
            ->setIv([8, 10, 12])
            ->setKeyInfos(['key' => ['data1' => 'data1']])
            ->setType('text/text');

        $storedObject->saveHistory();

        self::assertEquals('test_0', $storedObject->getDatas()['history'][0]['filename']);
        self::assertEquals([2, 4, 6, 8], $storedObject->getDatas()['history'][0]['iv']);
        self::assertEquals(['key' => ['data0' => 'data0']], $storedObject->getDatas()['history'][0]['key_infos']);
        self::assertEquals('text/html', $storedObject->getDatas()['history'][0]['type']);

        self::assertEquals('test_1', $storedObject->getDatas()['history'][1]['filename']);
        self::assertEquals([8, 10, 12], $storedObject->getDatas()['history'][1]['iv']);
        self::assertEquals(['key' => ['data1' => 'data1']], $storedObject->getDatas()['history'][1]['key_infos']);
        self::assertEquals('text/text', $storedObject->getDatas()['history'][1]['type']);
    }
}
